Eclipse Platform Release 3.7

## org.eclipse.update.search
Interface IUpdateSiteAdapter

All Known Subinterfaces:
  IQueryUpdateSiteAdapter, IUpdateSearchSite

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public interface IUpdateSiteAdapter

This interface wraps an update site URL and adds a presentation label. It is used to encapsulate sites that need to be visited during the update search.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  3.0

Method Summary
`String` `getLabel()` Deprecated. Returns the presentation string that can be used for this site.
`URL` `getURL()` Deprecated. Returns the URL of the update site.

Method Detail

### getLabel

    String getLabel()

  Deprecated.
  Returns the presentation string that can be used for this site.

  Returns:
    the update site label

### getURL

    URL getURL()

  Deprecated.
  Returns the URL of the update site.

  Returns:
    the URL of the update site.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.